Module ij
Package ij.plugin

# Class Duplicator

java.lang.Object
ij.plugin.Duplicator

All Implemented Interfaces:
  `PlugIn`, `ItemListener`, `TextListener`, `EventListener`

public class Duplicator extends Object implements PlugIn, TextListener, ItemListener
This plugin implements the Image/Duplicate command.

       // test script
       img1 = IJ.getImage();
       img2 = new Duplicator().run(img1);
       //img2 = new Duplicator().run(img1,1,10);
       img2.show();

## Constructor Summary

Constructors
Constructor
Description
`Duplicator()`

## Method Summary

Modifier and Type
Method
Description
`ImagePlus`
`crop(ImagePlus imp)`
Returns a copy the current image or stack slice, cropped if there is a selection.
`static Overlay`
`cropOverlay(Overlay overlay, Rectangle bounds)`
`static void`
`ignoreNextSelection()`
`void`
`itemStateChanged(ItemEvent e)`
`ImagePlus`
`run(ImagePlus imp)`
Returns a copy of the image, stack or hyperstack contained in the specified ImagePlus.
`ImagePlus`
`run(ImagePlus imp, int firstSlice, int lastSlice)`
Returns a new stack containing a subrange of the specified stack.
`ImagePlus`
`run(ImagePlus imp, int firstC, int lastC, int firstZ, int lastZ, int firstT, int lastT)`
Returns a new hyperstack containing a possibly reduced version of the input image.
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`textValueChanged(TextEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Duplicator

public Duplicator()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### run

public ImagePlus run(ImagePlus imp)
Returns a copy of the image, stack or hyperstack contained in the specified ImagePlus.

See Also:
  - `ImagePlus.duplicate()`

### crop

public ImagePlus crop(ImagePlus imp)
Returns a copy the current image or stack slice, cropped if there is a selection.

See Also:
  - `ImagePlus.crop()`
  - `ImagePlus.crop(String)`

### run

public ImagePlus run(ImagePlus imp, int firstSlice, int lastSlice)
Returns a new stack containing a subrange of the specified stack.

### run

public ImagePlus run(ImagePlus imp, int firstC, int lastC, int firstZ, int lastZ, int firstT, int lastT)
Returns a new hyperstack containing a possibly reduced version of the input image.

### cropOverlay

public static Overlay cropOverlay(Overlay overlay, Rectangle bounds)

### textValueChanged

public void textValueChanged(TextEvent e)

Specified by:
  `textValueChanged` in interface `TextListener`

### itemStateChanged

public void itemStateChanged(ItemEvent e)

Specified by:
  `itemStateChanged` in interface `ItemListener`

### ignoreNextSelection

public static void ignoreNextSelection()